Skip to main content
GET
/
api
/
v1
/
deployments
/
{deploymentId}
/
sbom
/
export
/
{taskToken}
Get the status of a SBOM export job
curl --request GET \
  --url https://semgrep.dev/api/v1/deployments/{deploymentId}/sbom/export/{taskToken} \
  --header 'Authorization: Bearer <token>'
{
  "downloadUrl": "<string>",
  "errorMessage": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.semgrep.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get access to data with your API token. Example header:

Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628

The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.

Path Parameters

deploymentId
string<int64>
required

Deployment ID (numeric). Example: 123. Can be found at /deployments, or in your Settings in the web UI.

Example:

123

taskToken
string
required

Task token for the SBOM export job.

Response

200 - application/json

OK

status
enum<string>
required

Status of the SBOM export job.

valuedescription
SBOM_EXPORT_STATUS_IN_PROGRESSThe SBOM export job is in progress.
SBOM_EXPORT_STATUS_COMPLETEDThe SBOM export job has completed.
SBOM_EXPORT_STATUS_FAILEDThe SBOM export job has failed.
Available options:
SBOM_EXPORT_STATUS_IN_PROGRESS,
SBOM_EXPORT_STATUS_COMPLETED,
SBOM_EXPORT_STATUS_FAILED
downloadUrl
string

URL to download the SBOM when status is COMPLETED.

errorMessage
string

Error message when status is FAILED.